<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */
 ?>

<?php get_header(); ?>

	<!-- Main Section -->
    <div id="main">
    	<div id="mainContent">
        
           	<?php include (TEMPLATEPATH . '/sidebar-left-categories.php'); ?>   
            
            <!-- Center Column -->
            <div id="centerCol" class="left">
            	
                <!-- Search Form -->
				<?php get_search_form(); ?>
                <!-- Search Form -->

				<!-- Recent / Popular Questions Section -->
                <div id="tabWidget1">
                    <!-- Navigation Tabs -->
                    <div id="wTabs1">
                        <ul>
                            <li class="on"><a href="javascript:showWidget(0,1)"><img src="<?php bloginfo('template_url'); ?>/images/clock-icon.png" alt="Clock" />آخرین پرسش ها</a></li>
                            <li><a href="javascript:showWidget(1,1)"><img src="<?php bloginfo('template_url'); ?>/images/big-grey-star-icon.png" alt="Star" />محبوب ترین پرسش ها</a></li>
                        </ul>
                    </div>
                    <div class="reset"></div>
                    <div class="bordsp10"></div>
                    <!-- /Navigation Tabs -->
                            
                    <!-- Tabs Content Blocks -->
                    <div id="wContent">
                    
                        <!-- Recent Questions -->
                        <div class="wContentBox">
                        	<div class="greyBox2">
                                <div class="greyBoxInner2">
                                	
									<?php if (have_posts()) : ?>
                                     <?php query_posts($query_string . ""); ?>

										<?php while (have_posts()) : the_post(); ?>
                                        <!-- Question -->
                                        <div class="question">
                                            
                                            <div class="left questionMain">
                                            	<div class="right">
												<?php 
													// Get data for displaying avatar
                                                    $author = $authordata; 
                                                    $blog_url = get_bloginfo('template_url');
													$selected_avatar_image = get_user_default_icon($author->ID);
                                                    $avatar_image = '/images/default-user-avatar-'.$selected_avatar_image.'.jpg';
                                                    $url = $blog_url . $avatar_image ;
													
													// Get data for linking to member profile when clicking avatar image
                                                    $main_url = get_bloginfo('url');
                                                    $author_name = get_the_author_meta('nicename');
													$profile_link = '/profile/';
													$author_profile_link = $main_url . $profile_link . $author_name;
												?>
                                                <a href="<?php echo $author_profile_link ?>"><?php echo get_avatar($author->user_email, $size = '50', $url); ?></a>
                                            </div>
                                                <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                                <?php $contentText = get_the_content(); ?>
                                               
                                                <?php $shortdesc = myTruncate($contentText, 200, " "); echo "<p>$shortdesc</p>"; ?>                         
                                                <div class="questionByline">
                                                    <a href="<?php comments_link();?>"><img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" /></a>
                                                    <span class="answers"><a href="<?php comments_link();?>"><?php comments_number('بدون پاسخ', '1 پاسخ', '% پاسخ'); ?></a></span>
                                                    <span>در: <?php the_category(',') ?></span>
                                                    <span>توسط: <?php the_author_posts_link(); ?></span>
                                                 
                                                    <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                                    <span><?php the_time('M j, Y'); ?></span>
                                                </div>
                                            </div>
                                             
                                            <div class="clear"></div>
                                        </div>
                                        <!-- / Question -->
                                        <?php endwhile; ?>

                                        <div class="navigation">
                                        	<div class="whiteBtn right"><?php next_posts_link('<span>پرسش های جدیدتر &raquo;</span>') ?></div>
                                        	<div class="whiteBtn left"><?php previous_posts_link('<span>&laquo; پرسش های قدیمی تر</span>') ?></div>
                                    		<div class="clear"></div>
                                        </div>
                                
                                    <?php else : ?>
                                
                                        <p class="center">هیچ پرسشی وجود ندارد</p>

                                    <?php endif; ?>
                                    
									<?php wp_reset_query();?>

                                </div>
                            </div>
                        </div>
                        <!-- /Recent Questions -->
                        
                        <!-- Popular Questions -->
                        <div class="wContentBox" style="display:none;">
                        	<div class="greyBox2">
                                <div class="greyBoxInner2">
                                	<p class="right"><em>25 پرسش برتر در 30 روز گذشته</em></p>
                                    <div class="clear"></div>
                                	<?php if (have_posts()) : ?>
                                    <?php
										//based on Austin Matzko's code from wp-hackers email list
										  function filter_where($where = '') {
											//posts in the last 30 days
											$where .= " AND post_date > '" . date('Y-m-d', strtotime('-30 days')) . "'";
											return $where;
										  }
										add_filter('posts_where', 'filter_where');
										query_posts($query_string . "&orderby=comment_count&posts_per_page=25");
									?>

										<?php while (have_posts()) : the_post(); ?>
                                        <div class="question">
                                            
                                            <div class="left questionMain">
                                            	<div class="right">
												<?php 
													// Get data for displaying avatar
                                                    $author = $authordata; 
                                                    $blog_url = get_bloginfo('template_url');
                                                    $selected_avatar_image = get_user_default_icon( $author->ID);
                                                    $avatar_image = '/images/default-user-avatar-'.$selected_avatar_image.'.jpg';
                                                    $url = $blog_url . $avatar_image ;
																										
													// Get data for linking to member profile when clicking avatar image
                                                    $main_url = get_bloginfo('url');
                                                    $author_name = get_the_author_meta('nicename');
													$profile_link = '/profile/';
													$author_profile_link = $main_url . $profile_link . $author_name;
												?>
                                                <a href="<?php echo $author_profile_link ?>"><?php echo get_avatar($author->user_email, $size = '50', $url); ?></a>
                                            </div>
                                                <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                                <?php $contentText = get_the_content(); ?>
                                               
                                                <?php $shortdesc = myTruncate($contentText, 200, " "); echo "<p>$shortdesc</p>"; ?>                         
                                                <div class="questionByline">
                                                    <a href="<?php comments_link();?>"><img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" /></a>
                                                    <span class="answers"><a href="<?php comments_link();?>"><?php comments_number('بدون پاسخ', '1 پاسخ', '% پاسخ'); ?></a></span>
                                                    <span>در: <?php the_category(',') ?></span>
                                                    <span>توسط: <?php the_author_posts_link(); ?></span>
                                                 
                                                    <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                                    <span><?php the_time('M j, Y'); ?></span>
                                                </div>
                                            </div>
                                             
                                            <div class="clear"></div>
                                        </div>
                                        <!-- / Question -->
                                        <?php endwhile; ?>
                                
                                    <?php else : ?>
                                
                                        <p class="center">هیچ پرسش محبوبی وجود ندارد</p>
                                
                                    <?php endif; ?>
                                    
									<?php wp_reset_query();?>                                	
                                  
                                </div>
                            </div>
                        </div>
                        <!-- Popular Questions -->

                    </div>
                    <!-- Tabs Content Blocks -->
                    <div class="reset"></div>
                </div>
                <!-- Recent / Popular Questions Section -->
                                
            </div>
            <!-- / Center Column -->
            <?php get_sidebar(); ?>

        </div>
        <?php include (TEMPLATEPATH . '/banner_728x90.php'); ?>   
        
    </div>
    <!-- / Main Section -->

<?php get_footer(); ?>
