<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */
 ?>

<?php get_header(); ?>

	<!-- Main Section -->
    <div id="main">
    	<div id="mainContent">
        
           	<?php include (TEMPLATEPATH . '/sidebar-left-categories.php'); ?>   
            
            <!-- Center Column -->
            <div id="centerCol" class="left">
            
            	<!-- Search Form -->
				<?php get_search_form(); ?>
                <!-- Search Form -->
                
                <div class="greyBox3">
                        <div class="greyBoxInner3">

						<?php if (have_posts()) : ?>
                            <h2>پرسش:<span class="normalText"><?php /* Search Count */ $allsearch = &new WP_Query("s=$s&showposts=-1"); $key = wp_specialchars($s, 1); $count = $allsearch->post_count; _e(''); _e('<span class="search-terms">'); echo $key; _e('</span>'); wp_reset_query(); ?></span></h2>

                            <?php while (have_posts()) : the_post(); ?>
                            <?php if (is_type_page()) continue; ?>

                               <!-- Question -->
                                <div class="question">
                                    
                                    <div class="left questionMain">
                                        <div class="right">
                                        <?php 
                                            // Get data for displaying avatar
                                            $author = $authordata; 
                                            $blog_url = get_bloginfo('template_url');
                                            $selected_avatar_image = get_user_default_icon($author->ID);
											$avatar_image = '/images/default-user-avatar-'.$selected_avatar_image.'.jpg';
											$url = $blog_url . $avatar_image ;
                                            
                                            // Get data for linking to member profile when clicking avatar image
                                            $main_url = get_bloginfo('url');
                                            $author_name = get_the_author_meta('nicename');
                                            $profile_link = '/profile/';
                                            $author_profile_link = $main_url . $profile_link . $author_name;
                                        ?>
                                        <a href="<?php echo $author_profile_link ?>"><?php echo get_avatar($author->user_email, $size = '50', $url); ?></a>
                                    </div>
                                        <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                        <?php $contentText = get_the_content(); ?>
                                       
                                        <?php $shortdesc = myTruncate($contentText, 200, " "); echo "<p>$shortdesc</p>"; ?>                         
                                        <div class="questionByline">
                                            <a href="<?php comments_link();?>"><img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" /></a>
                                            <span class="answers"><a href="<?php comments_link();?>"><?php comments_number('بدون پاسخ', '1 پاسخ', '% پاسخ'); ?></a></span>
                                            <span>در: <?php the_category(',') ?></span>
                                            <span>توسط: <?php the_author_posts_link(); ?></span>
                                         
                                            <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                            <span><?php the_time('M j, Y'); ?></span>
                                        </div>
                                    </div>
                                     
                                    <div class="clear"></div>
                                </div>
                                <!-- / Question -->
                            <?php endwhile; ?>
                    
                              <div class="navigation">
                                <div class="whiteBtn right"><?php next_posts_link('<span>پرسش های بعدی &raquo;</span>') ?></div>
								<div class="whiteBtn left"><?php previous_posts_link('<span>&laquo; پرسش های قبلی</span>') ?></div>
                                <div class="clear"></div>
                                
                            </div>
                    
                        <?php else : ?>
                             <h2>Q:<span class="normalText"><?php /* Search Count */ $allsearch = &new WP_Query("s=$s&showposts=-1"); $key = wp_specialchars($s, 1); $count = $allsearch->post_count; _e(''); _e('<span class="search-terms">'); echo $key; _e('</span>'); wp_reset_query(); ?></span></h2>

                            <h3>We couldn't find any questions related to this search.</h3>
                            <div class="divider2"></div>
                            
                        <?php endif; ?>
                        
                        <h4 class="marTop12">Didn't find what you were looking for?</h4>
						<?php if ( is_user_logged_in() ) { ?>
                            <p>Add your Question to the site by visiting the Ask Question Form.</p>
                            <div class="whiteBtn marTop10"><a href="<?php bloginfo('url'); ?>/ask-a-question/" title="Ask A Question"><span>Ask Question Form &raquo;</span></a></div>
                            <div class="clear"></div>
                        <?php } else { ?>
                            <p>Add your Question to the site.</p>
                            <p>You must be <a href="<?php bloginfo('url'); ?>/log-in/">Logged In</a> to Add a Question.</p>
                            <div class="divider2"></div>
                            <p>Not a member yet? <a href="<?php bloginfo('url'); ?>/sign-up/">Sign Up Now &raquo;</a></p>

                        <?php }; ?>
                     </div>          
				</div>
			</div>
            <!-- / Center Column -->
            <?php get_sidebar(); ?>

        </div>
        <?php include (TEMPLATEPATH . '/banner_728x90.php'); ?>   

    </div>
    <!-- / Main Section -->

<?php get_footer(); ?>
