<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */
 ?>

<?php

if ( $_POST['answer_post'] == '1') {

	$answer_content = $_POST['answer_content'];
		
	$message = post_new_answer($answer_content);
}

get_header(); ?>
	<!-- Main Section -->
    <div id="main">
    
    	<div id="mainContent">
        
           	<?php include (TEMPLATEPATH . '/sidebar-left-categories.php'); ?>   
            
            <!-- Center Column -->
            <div id="centerCol" class="left">
            
                <!-- Search Form -->
				<?php get_search_form(); ?>
                <!-- Search Form -->
                
                 <!-- Articles Section -->
                <div id="tabWidget2">
           
                    <!-- Tabs Content Blocks -->
                    <div id="wContent">
                    	<div class="greyBox3">
                        	<div class="greyBoxInner3">
                            <h2 class="questionTitle"><?php the_title(); ?></h2>

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                                
                                <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
                                   <!-- Question -->
                                    <div class="question">
                                        
                                        <div class="left questionMain">
										
										<div class="right questionIcon">
                                            <div class="date date2">
                                                <p><?php the_time('M'); ?></p><p class="dateDay"><?php the_time('j'); ?></p><p><?php the_time('Y'); ?></p>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                            <?php the_content(); ?>
                                           
                                            <div class="questionByline">
                                                <span>در: <?php the_category(',') ?></span>
                                                <span>پرسیده شده توسط: <?php the_author_posts_link(); ?></span>
                                                <span class="points">[<?php echo getPointLevel($authordata->ID); ?>]</span>
                                            </div>
                                        </div>
                                        
                                        <div class="clear"></div>
                                        <div class="questionByline">
                                            <div class="divider2"></div>
                                            <span class="right"><a href="#answerQuestionForm" title="Add Your Answer"><b>هم اکنون به این پرسش پاسخ دهید</b></a></span>
                                            <img src="<?php bloginfo('template_url'); ?>/images/num-answer-icon.png" alt="Answers" />
                                            <span class="answers"><a name="commments"><?php comments_number('بدون پاسخ! اولین فردی باشید که پاسخ می دهد', '1 Answer', '% Answers'); ?></a></span>
                                        </div>
                                    </div>
                                    <!-- / Question -->
                                </div>
                                
                        	<?php comments_template(); ?>
                            
    						<a name="answerQuestionForm"></a>
							<h4><?php comment_form_title( 'پاسخ به پرسش'); ?></h4>
							 <?php
                            // If logged in change nav to My Account and Log Out
                            if ( is_user_logged_in() ) { ?>
                                <div class="post" id="post-<?php the_ID(); ?>">
                                    <p>وارد شده با <a href="<?php bloginfo('url'); ?>/profile/<?php echo $user_identity; ?>"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url('index.php'); ?>" title="Log out of this account">خروج &raquo;</a></p>
                                <form id="postAnswer" name="postAnswer" action="" method="post" >
                                    <?php display_message($message) ?>
                                    <fieldset><textarea rows="10" cols="40" name="answer_content" id="answer_content" ><?php echo $_POST['answer_content']?></textarea></fieldset>
                                    <input type="hidden" name="answer_post" value="1">	
                                    <div class="addAnswer"><input name="submit" src="<?php bloginfo('template_url'); ?>/images/post-answer-btn.png" type="image" id="submit" value="Post Answer" /></div>
                                </form>
                                    
                                </div>
                            <?php } else { ?>
                                
                                    <p>برای ارسال پاسخ <a href="<?php bloginfo('url'); ?>/log-in/">باید وارد شوید</a> .</p>
                                    <div class="divider2"></div>
									<p>کاربر ما نیستید؟ <a href="<?php bloginfo('url'); ?>/sign-up/">عضو شوید &raquo;</a></p>
                            
                            <?php }; ?>
                        
                            <?php endwhile; else: ?>
                        
                                <p>چیزی برای نمایش وجود ندارد</p>
                        
                        	<?php endif; ?>

	                               
                            </div>
                        </div>
            
                    </div>
                    <!-- Tabs Content Blocks -->
                    <div class="reset"></div>
                </div>
                <!-- / Articles Section -->

            </div>
            <!-- / Center Column -->
            <?php get_sidebar(); ?>

        </div>
        <?php include (TEMPLATEPATH . '/banner_728x90.php'); ?>   

    </div>
    <!-- / Main Section -->

<?php get_footer(); ?>

