<?php
/**
 * @package WordPress
 * @subpackage Instant Q&A - WPQA
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<title><?php wp_title('&nbsp;|&nbsp;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<link rel="stylesheet" type="text/css"  href="<?php bloginfo('template_directory'); ?>/style.css" /> 
<link rel="stylesheet" type="text/css"  href="<?php bloginfo('template_directory'); ?>/color-schemes/<?php echo get_option('instant_qa_color_scheme'); ?>/<?php echo get_option('instant_qa_color_scheme'); ?>-styles.css" /> 
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
<!--[if IE 6]>
    <script src="<?php bloginfo('template_url'); ?>/js/DD_belatedPNG_0.0.7a-min.js"></script>
    <script>
      DD_belatedPNG.fix('img, #main, #topNav');
    </script>
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/styles-ie6.css"/>
<![endif]--> 
<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/styles-ie7.css"/>
<![endif]--> 

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/tab-widget.js"></script>

</head>

<body id="<?php if (is_home()) { echo 'home'; } if (is_page('log-in')){ echo 'login';} if (is_page('sign-up')){ echo 'signup';} if (is_page('about')){ echo 'about';} if (is_page('my-account')){ echo 'myaccount';} else { }?>">
	<!-- Header Section -->
    <div id="header">
    	<div id="headerContent">
            <div id="topNav" class="right">
                <ul>
                    <li id="homeTab"><a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/home-icon.png" alt="Home" />خانه</a></li>
                    <li id="aboutTab"><a href="<?php bloginfo('url'); ?>/about/"><img src="<?php bloginfo('template_url'); ?>/images/about-icon.png" alt="About" />درباره</a></li>
                    <?php
					// If logged in change nav to My Account and Log Out
					if ( is_user_logged_in() ) { ?>
                    <li id="myaccountTab"><a href="<?php bloginfo('url'); ?>/my-account/"><img src="<?php bloginfo('template_url'); ?>/images/myaccount-icon.png" alt="My Account" />حساب کاربری</a></li>
                    <li id="loginTab"><a href="<?php echo wp_logout_url('index.php'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/login-icon.png" alt="Log Out" />خروج</a></li>
					<?php } else { ?>
                    <li id="signupTab"><a href="<?php bloginfo('url'); ?>/sign-up/"><img src="<?php bloginfo('template_url'); ?>/images/signup-icon.png" alt="Sign Up Now" />عضویت</a></li>
                    <li id="loginTab"><a href="<?php bloginfo('url'); ?>/log-in/"><img src="<?php bloginfo('template_url'); ?>/images/login-icon.png" alt="Log In" />ورود</a></li>
					<?php }; ?>
                </ul>
            </div>  
            
            <?php 
			// Show Logo Image if set in Theme Options Menu
			$site_logo = stripslashes(get_option('instant_qa_logo'));
			if ($site_logo != ""){  ?>
            	<!-- Image Based Logo -->	
            	<h1 id="logoImage"><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo $site_logo; ?>" alt="<?php bloginfo('name'); ?>" /></a></h1>           	
			<?php } else { ?>
            	<!-- Text Based Logo - Site Name -->
            	<h1 id="logoText"><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1> 
            <?php } ?>
        </div>
    	<div class="clear"></div>
    </div>
    <!-- / Header Section -->
